# AIIndustryList_CargoAccepting Class Reference
[Classes that create a list of items.]

Creates a list of industries that accepts a given cargo. More...

`#include <ai_industrylist.hpp>`

Inheritance diagram for AIIndustryList_CargoAccepting:

## Public Member Functions
| AIIndustryList_CargoAccepting (CargoID cargo_id)
## Static Public Member Functions
static const char * | GetClassName ()

## Detailed Description

Creates a list of industries that accepts a given cargo.

Definition at line 31 of file ai_industrylist.hpp.

## Constructor & Destructor Documentation

AIIndustryList_CargoAccepting::AIIndustryList_CargoAccepting | ( | CargoID | cargo_id | ) |

Parameters:

  | cargo_id | The cargo this industry should accept.

Definition at line 23 of file ai_industrylist.cpp.

References Industry::accepts_cargo, AIAbstractList::AddItem(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tcache, Tzero >::PoolItem< Tpool >::index, and lengthof.

The documentation for this class was generated from the following files:

- src/ai/api/ai_industrylist.hpp
- src/ai/api/ai_industrylist.cpp